| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
PersistencySvc::ServiceEntry Class Referencefinal

`#include <src/PersistencySvc/PersistencySvc.h>`

Collaboration diagram for PersistencySvc::ServiceEntry:
[legend]

## Public Member Functions
| ServiceEntry (long type, SmartIF< IService > svc, SmartIF< IConversionSvc > cnv, SmartIF< IAddressCreator > cr)
| ServiceEntry (long type, IService *svc, IConversionSvc *cnv, IAddressCreator *cr)
| ServiceEntry (const ServiceEntry &)=default
SmartIF< IService > & | service () const
SmartIF< IConversionSvc > & | conversionSvc () const
SmartIF< IAddressCreator > & | addrCreator () const
long | svcType () const

## Private Attributes
long | m_serviceType
SmartIF< IService > | m_service
SmartIF< IConversionSvc > | m_cnvService
SmartIF< IAddressCreator > | m_addrCreator

## Detailed Description

Definition at line 56 of file PersistencySvc.h.

## Constructor & Destructor Documentation

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | SmartIF< IService > | svc,
|  | SmartIF< IConversionSvc > | cnv,
|  | SmartIF< IAddressCreator > | cr
| ) |  |
| inline

Definition at line 62 of file PersistencySvc.h.

66 : m_serviceType ( type ),
67 m_service ( std::move(svc) ),
68 m_cnvService ( std::move(cnv) ),
69 m_addrCreator ( std::move(cr) )
70 { }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:58
gaudirun.type
string type
Definition: gaudirun.py:151
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:59
std::move
T move(T...args)
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:57
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:60

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | IService * | svc,
|  | IConversionSvc * | cnv,
|  | IAddressCreator * | cr
| ) |  |
| inline

Definition at line 71 of file PersistencySvc.h.

74 {
75 m_serviceType = type;
76 m_addrCreator = cr;
77 m_cnvService = cnv;
78 m_service = svc;
79 }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:58
gaudirun.type
string type
Definition: gaudirun.py:151
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:59
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:57
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:60

PersistencySvc::ServiceEntry::ServiceEntry | ( | const ServiceEntry & |  | ) |
| default

## Member Function Documentation

SmartIF<IAddressCreator>& PersistencySvc::ServiceEntry::addrCreator | ( |  | ) | const
| inline

Definition at line 88 of file PersistencySvc.h.

88 {
89 return m_addrCreator;
90 }
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:60

SmartIF<IConversionSvc>& PersistencySvc::ServiceEntry::conversionSvc | ( |  | ) | const
| inline

Definition at line 85 of file PersistencySvc.h.

85 {
86 return m_cnvService;
87 }
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:59

SmartIF<IService>& PersistencySvc::ServiceEntry::service | ( |  | ) | const
| inline

Definition at line 82 of file PersistencySvc.h.

82 {
83 return m_service;
84 }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:58

long PersistencySvc::ServiceEntry::svcType | ( |  | ) | const
| inline

Definition at line 91 of file PersistencySvc.h.

91 {
92 return m_serviceType;
93 }
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:57

## Member Data Documentation

SmartIF<IAddressCreator> PersistencySvc::ServiceEntry::m_addrCreator
| mutable private

Definition at line 60 of file PersistencySvc.h.

SmartIF<IConversionSvc> PersistencySvc::ServiceEntry::m_cnvService
| mutable private

Definition at line 59 of file PersistencySvc.h.

SmartIF<IService> PersistencySvc::ServiceEntry::m_service
| mutable private

Definition at line 58 of file PersistencySvc.h.

long PersistencySvc::ServiceEntry::m_serviceType
| private

Definition at line 57 of file PersistencySvc.h.

The documentation for this class was generated from the following file:

- GaudiCommonSvc/src/PersistencySvc/PersistencySvc.h